All pages
Powered by GitBook
1 of 8

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Update webhook

Enable webhook

Delete webhook

Webhook API

The Webhook object represents an endpoint of an external system that should be invoked for specific events within the Marketplace Platform.

This object contains the following attributes:

Field
Type
Description

id

Field
Data
Description
Field
Data
Description

failures

number

(Read-only) Total number of failed calls made from the platform to an external system represented by the Webhook object.

failuresSinceLastSuccess

number

(Read-only) Total number of failed calls since the last successful call made by the platform to an external system, represented by the Webhook object.

failures

number

(Read-only) Total number of failed calls made from the platform to an external system represented by the webhook object.

failuresSinceLastSuccess

number

(Read-only) Total number of failed calls since the last successful call made by the platform to an external system, represented by the webhook object.

string

(Read-only) The webhook's unique identifier.

href

string

(Read-only) The relative reference to the object within the API.

description

string

A description of the webhook.

status

enum

The status of the webhook. Allowed values are enabled or disabled.

type

enum

Defines what the webhook is designed for. Allowed values are:

  • validatePurchaseOrderDraft

  • validatePurchaseOrderQuerying

  • validateChangeOrderDraft

  • validateTerminateOrder

  • validateRequest

  • validateAccount

  • selectOrderLines

objectType

enum

Object that triggers the webhook event. Allowed values are:

  • Order

  • Request

  • Account

url

string

The webhook endpoint URL. Only https:// endpoints are allowed.

criteria

object

(Read-only) A set of key-value objects required in the webhook payload to trigger the webhook call.

statistics

object

(Read-only) Represents the statistics object containing statistical and debug information regarding webhook executions.

lastSuccess

object

(Read-only) Represents the call object containing the last successful call to the webhook URL.

lastFailure

object

(Read-only) Represents the call object with details of the last failed call to the webhook URL.

lastCall

object

(Read-only) Represents the call object with details of the last call to the webhook URL.

secret

string

The secret used for authorization in the third-party systems. It's returned only once in response to the Create Webhook endpoint.

account

object

(Read-only) Represents the vendor account object.

audit

object

(Read-only) Represents the audit object.

total

number

(Read-only) Total number of calls made from the platform to the external system represented by the Webhook object.

successes

number

total

number

(Read-only) Total number of calls made from the platform to the external system represented by the webhook object.

successes

number

Statistics object

Call object

Example

(Read-only) Total number of successful calls made from the platform to an external system represented by the Webhook object.

(Read-only) Total number of successful calls made from the platform to an external system represented by the webhook object.

WEBHOOK API OBJECT
{
  "id": "WBH-5433-8787",
  "href": "/notifications/webhooks/WBH-5433-8787",
  "description": "Webhook for some products"
  "account": {
    "id": "ACC-7362-0233",
    "href": "/accounts/accounts/ACC-7362-0233",
    "name": "Adobe",
    "icon": "/static/ACC-7362-0233/account.png"
  },
  "objectType": "order",
  "type": "validatePurchaseOrderDraft",
  "params": {
    "product.id": "PRD-6233-9657"
  },
  "status": "enabled",
  "url": "https://my-webhook.endpoint.com/validation",
  "secret": "*******************",
  "statistics": {
    "total": 1234,
    "successes": 1132,
    "failures": 101,
    "failuresSinceLastSuccess": 2
  },
  "lastSuccess": {
    "success": true,
    "callTime": "2024-12-12T11:11:11",
    "responseTime": "2024-12-12T11:12:03",
    "httpStatusCode": "200",
    "reasonPhrase": "OK",
    "headers": {
      "Date": "Wed, 15 May 2024 10:16:56 GMT",
    },
    "error": null,
    "response": { ... }
  },
  "lastFailure": {
    "success": true,
    "callTime": "2024-12-12T11:11:11",
    "responseTime": "2024-12-12T11:12:03",
    "status": "401",
    "reasonPhrase": "Auth Error",
    "response": "Unauthenticated",
    "headers": {
      "Date": "Wed, 15 May 2024 10:16:56 GMT",
    },
    "error": "JWT Token was invalid",
    "response": null,
  },
  "lastCall": {
    "success": true,
    "callTime": "2024-12-12T11:11:11",
    "responseTime": "2024-12-12T11:12:03",
    "httpStatusCode": "200",
    "reasonPhrase": "OK",
    "headers": {
      "Date": "Wed, 15 May 2024 10:16:56 GMT",
    },
    "error": null,
    "response": { ... }
  },
  "audit": {
    "created": { "at": "...", "by": { } },
    "updated": { "at": "...", "by": { } }
  },
}

Get webhook

Create webhook

Updates webhook.

put
Path parameters
idstringRequired

Id of webhook to update

Query parameters
selectstringOptional

RQL select statements

Body
webhookIdstringOptional
hasValuebooleanRead-onlyOptional
valuestring · nullableOptional
hasValuebooleanRead-onlyOptional
valuestring · uri · nullableOptional
hasValuebooleanRead-onlyOptional
Other propertiesstringOptional
hasValuebooleanRead-onlyOptional
valuestring · nullableOptional
hasValuebooleanRead-onlyOptional
callTimestring · date-timeOptional
responseTimestring · date-timeOptional
httpStatusCodestring · enumOptionalPossible values:
reasonPhrasestring · nullableOptional
successbooleanOptional
responsestring · nullableOptional
errorstring · nullableOptional
Other propertiesstringOptional
Responses
200

OK

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
revisioninteger · int32Optional
namestringOptional
urlstringOptional
descriptionstring · nullableOptional
statusstring · enumOptionalPossible values:
typestring · enumOptionalPossible values:
secretstring · nullableOptional
totalinteger · int32Optional
successesinteger · int32Optional
failuresinteger · int32Optional
failuresSinceLastSuccessinteger · int32Optional
objectTypestring · enumOptionalPossible values:
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
idstringRequired
namestringRequired
iconstring · nullableOptional
keystringOptional
valuestringOptional
successbooleanOptional
callTimestring · date-timeOptional
responseTimestring · date-time · nullableOptional
headersstring · nullableOptional
errorstring · nullableOptional
responsestring · nullableOptional
reasonPhrasestring · nullableOptional
httpStatusCodestring · enumOptionalPossible values:
successbooleanOptional
callTimestring · date-timeOptional
responseTimestring · date-time · nullableOptional
headersstring · nullableOptional
errorstring · nullableOptional
responsestring · nullableOptional
reasonPhrasestring · nullableOptional
httpStatusCodestring · enumOptionalPossible values:
successbooleanOptional
callTimestring · date-timeOptional
responseTimestring · date-time · nullableOptional
headersstring · nullableOptional
errorstring · nullableOptional
responsestring · nullableOptional
reasonPhrasestring · nullableOptional
httpStatusCodestring · enumOptionalPossible values:
403

Forbidden

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
500

Internal Server Error

No content

put/public/v1/notifications/webhooks/{id}
PUT /public/v1/notifications/webhooks/{id} HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: application/json
Accept: */*
Content-Length: 417

{
  "webhookId": "text",
  "description": {
    "value": "text"
  },
  "url": {
    "value": "https://example.com"
  },
  "criteria": {
    "value": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    }
  },
  "secret": {
    "value": "text"
  },
  "lastCall": {
    "value": {
      "callTime": "2026-01-01T00:00:00.000Z",
      "responseTime": "2026-01-01T00:00:00.000Z",
      "httpStatusCode": "Continue",
      "reasonPhrase": "text",
      "success": true,
      "response": "text",
      "error": "text",
      "headers": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      }
    }
  }
}
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "revision": 1,
  "name": "text",
  "url": "text",
  "description": "text",
  "status": "Enabled",
  "type": "ValidatePurchaseOrderDraft",
  "secret": "text",
  "statistics": {
    "total": 1,
    "successes": 1,
    "failures": 1,
    "failuresSinceLastSuccess": 1
  },
  "objectType": "Order",
  "account": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "type": "Client",
    "status": "Active"
  },
  "object": {
    "id": "text",
    "name": "text",
    "icon": "text"
  },
  "criteria": [
    {
      "key": "text",
      "value": "text"
    }
  ],
  "lastSuccess": {
    "success": true,
    "callTime": "2026-01-01T00:00:00.000Z",
    "responseTime": "2026-01-01T00:00:00.000Z",
    "headers": "text",
    "error": "text",
    "response": "text",
    "reasonPhrase": "text",
    "httpStatusCode": "Continue"
  },
  "lastFailure": {
    "success": true,
    "callTime": "2026-01-01T00:00:00.000Z",
    "responseTime": "2026-01-01T00:00:00.000Z",
    "headers": "text",
    "error": "text",
    "response": "text",
    "reasonPhrase": "text",
    "httpStatusCode": "Continue"
  },
  "lastCall": {
    "success": true,
    "callTime": "2026-01-01T00:00:00.000Z",
    "responseTime": "2026-01-01T00:00:00.000Z",
    "headers": "text",
    "error": "text",
    "response": "text",
    "reasonPhrase": "text",
    "httpStatusCode": "Continue"
  }
}

Enables webhook.

post
Path parameters
idstringRequired

Id of webhook to be deleted

Responses
204

No Content

No content

403

Forbidden

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
500

Internal Server Error

No content

post/public/v1/notifications/webhooks/{id}/enable
POST /public/v1/notifications/webhooks/{id}/enable HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*

No content

Deletes webhook.

delete
Path parameters
idstringRequired

Id of webhook to be deleted

Responses
204

No Content

No content

403

Forbidden

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
500

Internal Server Error

No content

delete/public/v1/notifications/webhooks/{id}
DELETE /public/v1/notifications/webhooks/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*

No content

get
Path parameters
idstringRequired
Query parameters
selectstringOptional
Responses
200

OK

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
revisioninteger · int32Optional
namestringOptional
urlstringOptional
descriptionstring · nullableOptional
statusstring · enumOptionalPossible values:
typestring · enumOptionalPossible values:
secretstring · nullableOptional
totalinteger · int32Optional
successesinteger · int32Optional
failuresinteger · int32Optional
failuresSinceLastSuccessinteger · int32Optional
objectTypestring · enumOptionalPossible values:
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
idstringRequired
namestringRequired
iconstring · nullableOptional
keystringOptional
valuestringOptional
successbooleanOptional
callTimestring · date-timeOptional
responseTimestring · date-time · nullableOptional
headersstring · nullableOptional
errorstring · nullableOptional
responsestring · nullableOptional
reasonPhrasestring · nullableOptional
httpStatusCodestring · enumOptionalPossible values:
successbooleanOptional
callTimestring · date-timeOptional
responseTimestring · date-time · nullableOptional
headersstring · nullableOptional
errorstring · nullableOptional
responsestring · nullableOptional
reasonPhrasestring · nullableOptional
httpStatusCodestring · enumOptionalPossible values:
successbooleanOptional
callTimestring · date-timeOptional
responseTimestring · date-time · nullableOptional
headersstring · nullableOptional
errorstring · nullableOptional
responsestring · nullableOptional
reasonPhrasestring · nullableOptional
httpStatusCodestring · enumOptionalPossible values:
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
get/public/v1/notifications/webhooks/{id}
GET /public/v1/notifications/webhooks/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "revision": 1,
  "name": "text",
  "url": "text",
  "description": "text",
  "status": "Enabled",
  "type": "ValidatePurchaseOrderDraft",
  "secret": "text",
  "statistics": {
    "total": 1,
    "successes": 1,
    "failures": 1,
    "failuresSinceLastSuccess": 1
  },
  "objectType": "Order",
  "account": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "type": "Client",
    "status": "Active"
  },
  "object": {
    "id": "text",
    "name": "text",
    "icon": "text"
  },
  "criteria": [
    {
      "key": "text",
      "value": "text"
    }
  ],
  "lastSuccess": {
    "success": true,
    "callTime": "2026-01-01T00:00:00.000Z",
    "responseTime": "2026-01-01T00:00:00.000Z",
    "headers": "text",
    "error": "text",
    "response": "text",
    "reasonPhrase": "text",
    "httpStatusCode": "Continue"
  },
  "lastFailure": {
    "success": true,
    "callTime": "2026-01-01T00:00:00.000Z",
    "responseTime": "2026-01-01T00:00:00.000Z",
    "headers": "text",
    "error": "text",
    "response": "text",
    "reasonPhrase": "text",
    "httpStatusCode": "Continue"
  },
  "lastCall": {
    "success": true,
    "callTime": "2026-01-01T00:00:00.000Z",
    "responseTime": "2026-01-01T00:00:00.000Z",
    "headers": "text",
    "error": "text",
    "response": "text",
    "reasonPhrase": "text",
    "httpStatusCode": "Continue"
  }
}

Upsert webhooks

post
Query parameters
selectstringOptional

RQL select statements

Responses
200

OK

No content

201

Created

No content

403

Forbidden

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
500

Internal Server Error

No content

post/public/v1/notifications/webhooks
POST /public/v1/notifications/webhooks HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*

No content

List webhooks

get
Responses
200

OK

application/json
offsetinteger · int32Optional
limitinteger · int32Optional
totalinteger · int32 · nullableOptional
omittedstring[]Optional
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
revisioninteger · int32Optional
namestringOptional
urlstringOptional
descriptionstring · nullableOptional
statusstring · enumOptionalPossible values:
typestring · enumOptionalPossible values:
secretstring · nullableOptional
totalinteger · int32Optional
successesinteger · int32Optional
failuresinteger · int32Optional
failuresSinceLastSuccessinteger · int32Optional
objectTypestring · enumOptionalPossible values:
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
idstringRequired
namestringRequired
iconstring · nullableOptional
keystringOptional
valuestringOptional
successbooleanOptional
callTimestring · date-timeOptional
responseTimestring · date-time · nullableOptional
headersstring · nullableOptional
errorstring · nullableOptional
responsestring · nullableOptional
reasonPhrasestring · nullableOptional
httpStatusCodestring · enumOptionalPossible values:
successbooleanOptional
callTimestring · date-timeOptional
responseTimestring · date-time · nullableOptional
headersstring · nullableOptional
errorstring · nullableOptional
responsestring · nullableOptional
reasonPhrasestring · nullableOptional
httpStatusCodestring · enumOptionalPossible values:
successbooleanOptional
callTimestring · date-timeOptional
responseTimestring · date-time · nullableOptional
headersstring · nullableOptional
errorstring · nullableOptional
responsestring · nullableOptional
reasonPhrasestring · nullableOptional
httpStatusCodestring · enumOptionalPossible values:
get/public/v1/notifications/webhooks
GET /public/v1/notifications/webhooks HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
200

OK

{
  "$meta": {
    "pagination": {
      "offset": 1,
      "limit": 1,
      "total": 1
    },
    "omitted": [
      "text"
    ]
  },
  "data": [
    {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "revision": 1,
      "name": "text",
      "url": "text",
      "description": "text",
      "status": "Enabled",
      "type": "ValidatePurchaseOrderDraft",
      "secret": "text",
      "statistics": {
        "total": 1,
        "successes": 1,
        "failures": 1,
        "failuresSinceLastSuccess": 1
      },
      "objectType": "Order",
      "account": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "type": "Client",
        "status": "Active"
      },
      "object": {
        "id": "text",
        "name": "text",
        "icon": "text"
      },
      "criteria": [
        {
          "key": "text",
          "value": "text"
        }
      ],
      "lastSuccess": {
        "success": true,
        "callTime": "2026-01-01T00:00:00.000Z",
        "responseTime": "2026-01-01T00:00:00.000Z",
        "headers": "text",
        "error": "text",
        "response": "text",
        "reasonPhrase": "text",
        "httpStatusCode": "Continue"
      },
      "lastFailure": {
        "success": true,
        "callTime": "2026-01-01T00:00:00.000Z",
        "responseTime": "2026-01-01T00:00:00.000Z",
        "headers": "text",
        "error": "text",
        "response": "text",
        "reasonPhrase": "text",
        "httpStatusCode": "Continue"
      },
      "lastCall": {
        "success": true,
        "callTime": "2026-01-01T00:00:00.000Z",
        "responseTime": "2026-01-01T00:00:00.000Z",
        "headers": "text",
        "error": "text",
        "response": "text",
        "reasonPhrase": "text",
        "httpStatusCode": "Continue"
      }
    }
  ]
}

Disable webhook

post
Path parameters
idstringRequired

Id of webhook to be deleted

Responses
204

No Content

No content

403

Forbidden

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
500

Internal Server Error

No content

post/public/v1/notifications/webhooks/{id}/disable
POST /public/v1/notifications/webhooks/{id}/disable HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*

No content

Disables webhook.